В ядре Linux обнаружен новый вариант уязвимости Dirty COW

Как оказалось, в патчах, устраняющих серьезную уязвимость Dirty Cow (CVE-2016-5195), имеются недоработки. Это привело к возникновению новой критической уязвимости (CVE-2017-1000405). Проблема касается ядер Linux, начиная с версии 2.6.38 по 4.14.

Уязвимость находится в подсистеме управления памятью (в функции pmd_mkdirty) в реализации режима THP (Transparent HugePage). Есть возможность получения доступа к функции touch_pmd() через вызов get_user_pages(). Таким образом можно внести изменения в содержимое PMD (Page Medium Directory) без выполнения цикла COW (copy-on-write) при попытке записи. В результате этого трансформируются находящиеся в режиме только для чтения большие страницы памяти, включая нулевую страницу виртуального адресного пространства процессов.

Опасности на данный момент подвергаются Debian, openSUSE, Ubuntu, Gentoo. Имеются обновления для Fedora 26 и 27 версий. Проблеме не подвержены штатные ядра RHEL/CentOS, SUSE Linux Enterprise. Поскольку патч для ядра Linux уже подготовлен, уязвимость должна быть ликвидирована в кратчайшие строки.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *